Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
b2GrowableStack< T, N > Class Template Reference

`#include <b2GrowableStack.h>`

## Public Member Functions
void | Push (const T &element)
T | Pop ()
int32 | GetCount ()

## Detailed Description

### template<typename T, int32 N>
class b2GrowableStack< T, N >

This is a growable LIFO stack with an initial capacity of N. If the stack size exceeds the initial capacity, the heap is used to increase the size of the stack.

The documentation for this class was generated from the following file:

- b2GrowableStack.h